﻿namespace ComboSample.Controllers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;

    using Models;

    using Infragistics.Web.Mvc;

    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var user = new User
            {
                Id = 1,
                Username = "John.Doe",
                CountryId = "US",
            };

            return View(user);
        }

        public ActionResult Edit()
        {
            return Content("Edited");
        }

        [ComboDataSourceAction]
        public ActionResult Countries()
        {
            var countries = new List<Country>
            {
                new Country { Id = "US" },
                new Country { Id = "UK" }
            };

            return View(countries.AsQueryable());
        }
    }
}